package cz.muni.fi.pb162.transport;


/**
 * Transport of persons.
 * 
 * @author Radek Oslejsek 
 * @version 2007-10-10
 */

public interface PublicTransport  
{
    /**
     * @return kolik uvezeme lidi
     */
    int maxPersons();

    /**
     * Metoda simuluje prevazeni osob.
     * Prepravi se urceny pocet osob, to zpusobi 5% opotrebeni 
     * (bez ohledu na pocet prevazenych osob).
     *
     * @param nPersons pocet osob ktere se maji prepravit
     * @return false pokud auto neni schopno uvezt zadany pocet osob, nebo
     *               pokud je opotrebeni uz prilis velke (> 95%),
     *         jinak vraci true
     */
    boolean transportPersons(int nPersons);
    
    /**
     * @return stav (stupen opotrebeni), 
     *         0 = maximalni opotrebeni, 
     *         100 = zadne opotrebeni
     */
    int getState();
}
